Bug 1305040 - [RFE] User control of Capsule sync policy and other traffic from Satellite to capsule
Summary: [RFE] User control of Capsule sync policy and other traffic from Satellite to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content
Version: 6.1.5
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Released
Assignee: Chris Roberts
QA Contact: Lukas Pramuk
URL: https://projects.theforeman.org/issue...
Whiteboard:
: 1434051 1454578 1619673 1660252 (view as bug list)
Depends On:
Blocks: 1122832
TreeView+ depends on / blocked
 
Reported: 2016-02-05 12:25 UTC by vdhande
Modified: 2019-10-07 17:17 UTC (History)
18 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.15-1,tfm-rubygem-katello-3.10.0.32-1
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1660252 1660254 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:36:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github Katello katello pull 7871 None None None 2018-12-05 18:09:24 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:34 UTC
Foreman Issue Tracker 25633 None None None 2018-12-05 17:42:10 UTC
Red Hat Bugzilla 1620079 None CLOSED [RFE] Performing external capsule sync needs version consistency 2019-10-11 19:33:05 UTC
Red Hat Knowledge Base (Solution) 2153091 None None None 2017-01-24 10:48:53 UTC
Red Hat Knowledge Base (Solution) 3335581 None None None 2018-07-18 17:10:39 UTC

Internal Links: 1620079

Comment 8 Rich Jerrido 2018-05-07 07:16:55 UTC
*** Bug 1434051 has been marked as a duplicate of this bug. ***

Comment 10 Brad Buckingham 2018-07-18 17:10:40 UTC
*** Bug 1454578 has been marked as a duplicate of this bug. ***

Comment 11 Rich Jerrido 2018-08-21 17:06:29 UTC
*** Bug 1619673 has been marked as a duplicate of this bug. ***

Comment 12 Bryan Kearney 2018-08-21 19:44:42 UTC
*** Bug 1454578 has been marked as a duplicate of this bug. ***

Comment 13 Rich Jerrido 2018-08-22 10:46:55 UTC
(adding a public comment #10 to make this BZ public)

Proposed title of this feature request  
User can control the information send from Satellite to capsule.


What is the nature and description of the request?  
Till now Satellite user cant control the information which is sent from Satellite to each capsule. Customer's Capsules are globally based in different time zones over limited bandwidth links.
In this scenario there should be an option to control over the information send from Satellite to capsule.

Comment 14 Mike McCune 2018-09-14 16:08:02 UTC
This RFE will also add support for controlling policy for if and when capsule syncs occur.

Currently Capsule syncs are always automatic after Content View publish and promotions and users may not want this automatic synchronization to occur and desire to instead control this manually.

Users may also wish to have a schedule in place, much like our existing Sync Plans but also apply to Capsule Syncs so they can know when the syncs occur.

Comment 18 Bryan Kearney 2019-01-15 20:01:45 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25633 has been resolved.

Comment 23 Mike McCune 2019-03-01 22:08:54 UTC
*** Bug 1660252 has been marked as a duplicate of this bug. ***

Comment 26 Lukas Pramuk 2019-04-08 21:12:00 UTC
VERIFIED.

@satellite-6.5.0-11.el7sat.noarch
tfm-rubygem-katello-3.10.0.42-1.el7sat.noarch

by following manual reproducer:

1) Have a Satellite with external Capsule installed

2) Create LFE "Dev"

3) Assign the Capsule to Dev LFE

4) Activate the new setting in Administer -> Settings -> Content -> Sync Capsules after Content View promotion to "No"

5) Sync some repo, publish "Test View" CV out of it and promote to "Dev" LFE

6) Check capsule file storage for "Test View" CV artifacts:

# find /var/lib/pulp -name *Test_View*
<empty result>

>>> CV is not synced automatically to the capsule

7) Deactivate the new setting "Sync Capsules after Content View promotion" to "Yes" (which is default)

8) Sync some repo, publish "Test View 2" CV out of it and promote to "Dev" LFE

9) Check capsule file storage for "Test View 2" CV artifacts:

# find /var/lib/pulp -name *Test_View_2*
/var/lib/pulp/importers/1-Test_View_2-Dev-664a28a9-9818-4582-ae25-5956890b1da9-yum_importer

>>> CV is now synced automatically to the capsule as it was original behavior before the fix

and after auto sync capsule task is performed all artifacts are there:

# find /var -name *Test_View_2*
/var/lib/pulp/published/yum/http/repos/Default_Organization/Dev/Test_View_2
/var/lib/pulp/published/yum/master/yum_distributor/1-Test_View_2-Dev-664a28a9-9818-4582-ae25-5956890b1da9
/var/lib/pulp/published/yum/https/repos/Default_Organization/Dev/Test_View_2
/var/lib/pulp/importers/1-Test_View_2-Dev-664a28a9-9818-4582-ae25-5956890b1da9-yum_importer

Comment 29 errata-xmlrpc 2019-05-14 12:36:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.